# noveltyDetection
One-class SVM Novelty Detection library for microcontrollers

This was based on the LIBSVM (https://www.csie.ntu.edu.tw/~cjlin/libsvm/) code and Arduino SVM code (https://github.com/radzilu/Arduino-SVM). This was created because the ArduinoSVM code does not support One-class or novelty detection SVM models (which I think are one of the attractive features).

This library pulls the SVM model and scaling parameter files generated by LIBSVM, or my python script (to be released) from an SD card and loads them into the microcontroller EEPROM. This can then be used to make predictions given an array of features.

Teensy 3.6 is recommended for this library, as it's fast, has a large (2048 byte) EEPROM and sd card slot already available.

More explained in this article https://medium.com/@rowaner111/part-2-novelty-detection-on-an-arduino-using-one-class-svm-3c0bfa2a0f26
